richiesta l10n-it per alcuni pacchetti

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
tom
Packager
Packager
Messaggi: 407
Iscritto il: dom nov 01, 2009 12:53
Nome Cognome: Tommaso D'Anna
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: xfce

richiesta l10n-it per alcuni pacchetti

Messaggioda tom » ven mag 21, 2010 13:17

ho notato che nel resository ci sono dei pacchetti come mozilla-firefox-it che vanno a sovrascrivere quelli ufficiali di slackware. Vorrei chiedere se è possibile dalla 13.1 in poi aggiungere al repo anche dei pacchetti con la sola traduzione (per continuare l'esempio del tipo mozilla-firefox-l10n-it, oppure mozilla-firefox-i18n) per agevolare gli utenti che, come me, preferiscono scaricare solo gli aggiornamenti ufficiali e non vorrebbero pertanto sovrascrivere i pacchetti ufficiali modificando il sistema base, ma non vorrebbero neanche rinunciare ad avere il loro firefox (ufficiale) localizzato in italiano.

Avatar utente
metrofox
Linux 2.6
Linux 2.6
Messaggi: 758
Iscritto il: gio ago 07, 2008 12:29
Slackware: slackware64-current
Kernel: 3.4.4-ck3
Desktop: FluxBox-1.3.1
Distribuzione: FreeBSD-8.1(amd64)

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda metrofox » ven mag 21, 2010 14:09

Basta installare in /opt ed installare il pacchetto, così hai 2 firefox, it e en

Avatar utente
sardylan
Linux 2.6
Linux 2.6
Messaggi: 993
Iscritto il: mar apr 24, 2007 9:21
Nome Cognome: Luca Cireddu
Slackware: current 64bits
Kernel: 3.16
Desktop: KDE 4.14
Distribuzione: Debian - CLFS
Località: Cagliari
Contatta:

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda sardylan » ven mag 21, 2010 17:38

Ovviamente dovresti rimuovere il pacchetto ufficiale della slackware, prima di installare quello di Slacky... Anche perché credo che il nome sia differente, quindi un semplice upgradepkg non basta

Avatar utente
danix
Staff
Staff
Messaggi: 3287
Iscritto il: ven ott 27, 2006 19:32
Nome Cognome: Danilo M.
Slackware: 64 14.1
Kernel: 4.4.0
Desktop: kde4
Località: Siderno (RC)
Contatta:

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda danix » ven mag 21, 2010 18:46

non vorrei sbagliarmi, ma la localizzazione di firefox (interfaccia grafica) non è possibile se non a compilazione, quindi se vuoi ffox in italiano devi per forza sovrascrivere il pacchetto ufficiale o installare in parallelo un precompilato (/opt o la tua home non fa differenza)... per gli altri pacchetti dovresti dirci quali pacchetti intendi, così si vede se si può fare... ;)
danix

myself ha scritto:non sono molto presente sul forum, e di ciò mi scuso con tutti

Avatar utente
conraid
Staff
Staff
Messaggi: 12689
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda conraid » ven mag 21, 2010 18:55

http://releases.mozilla.org/pub/mozilla ... xpi/it.xpi

dovrebbe essere multipiattaforma, ma sinceramente mai provato

tom
Packager
Packager
Messaggi: 407
Iscritto il: dom nov 01, 2009 12:53
Nome Cognome: Tommaso D'Anna
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: xfce

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda tom » ven mag 21, 2010 19:10

danix ha scritto:non vorrei sbagliarmi, ma la localizzazione di firefox (interfaccia grafica) non è possibile se non a compilazione, quindi se vuoi ffox in italiano devi per forza sovrascrivere il pacchetto ufficiale o installare in parallelo un precompilato (/opt o la tua home non fa differenza)...

ah si???
http://download.salixos.org/i486/13.0/salix/locale/ :p

tom
Packager
Packager
Messaggi: 407
Iscritto il: dom nov 01, 2009 12:53
Nome Cognome: Tommaso D'Anna
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: xfce

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda tom » lun mag 24, 2010 10:52

l'ho pacchettizzato io, in tutte le lingue. Ho fatto uno slackbuild. A qualcuno interessa?

Avatar utente
ZeroUno
Staff
Staff
Messaggi: 4893
Iscritto il: ven giu 02, 2006 14:52
Nome Cognome: Matteo Rossini
Slackware: current
Kernel: slack-current
Desktop: ktown-latest
Distribuzione: 01000000-current
Località: Roma / Castelli
Contatta:

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda ZeroUno » mar giu 01, 2010 20:51

tasodan ha scritto:l'ho pacchettizzato io, in tutte le lingue. Ho fatto uno slackbuild. A qualcuno interessa?

per slackware o per salix?

se lo mandi magari lo buttiamo sul repository (magari ci mettiamo solo l'italiano eh?)
Packages finder: slakfinder.org | Slackpkg+, per aggiungere repository a slackpkg

Codice: Seleziona tutto

1011010 1100101 1110010 1101111 - 0100000 - 1010101 1101110 1101111

tom
Packager
Packager
Messaggi: 407
Iscritto il: dom nov 01, 2009 12:53
Nome Cognome: Tommaso D'Anna
Slackware: 13.37
Kernel: 2.6.37.6
Desktop: xfce

Re: richiesta l10n-it per alcuni pacchetti

Messaggioda tom » mar giu 01, 2010 23:56

Ho inviato il pm a Loris come mi hai consigliato. Aspetto sue direttive


Torna a “Packages”

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite